Subject: RE: Repost: RFC 3471: IF ID specification WRT component link.

From: Edward Harrison <[email-masked]>
Date: Tue, 15 Apr 2003 14:21:27 +0100

Hi,

I think I missed the answer to Anca's last question.

Could someone please confirm the expected use of the IF_ID TLVs?

My reading of the following text in section 8.1 of RFC 3473 (the
capitalisation is mine)

"  For bidirectional LSPs, the sender chooses the data interface
   in each direction.  In all cases but bundling, the upstream interface
   is implied by the downstream interface.  For bundling, the path
   sender EXPLICITLY identifies the component interface used in each
   direction."

is as follows:

-  For LSPs not using component links IF_ID TLVs type 1, 2 or 3 should be
used.
-  Moreover, for bi-directional LSPs not using component links, the upstream
interface is always implied by the downstream interface (and, hence, IF_ID
TLVs type 1, 2 or 3 should still be used).
-  When using component links for a uni-directional LSP, IF_ID TLV type 4
should be used.
-  For bi-directional LSPs using component links, both TLVs 4 and 5 should
be present - even if the upstream and downstream component links are the
same.

Is this what was intended or I have I misinterpreted the text?  I notice
that this is not what was described in (the now expired)
draft-ietf-mpls-bundle-04 (section 4.3) where

-  component links could be numbered, in which case IF ID TLVs type 1 or 2
are used
-  component links could be unnumbered, in which case IF ID TLV type 3 was
used
-  there was no provision for different upstream and downstream component
links to be indicated.

Is draft-ietf-mpls-bundle going to be re-issued (and, in the process iron
out the inconsistencies with RFC 3473)?

Thanks,

Ed

-----Original Message-----
From: Anca Zamfir [mailto:[email-masked]]
Sent: 10 March 2003 15:54
To: Yakov Rekhter
Cc: Sameer K; [email-masked]; [email-masked]
Subject: Re: Repost: RFC 3471: IF ID specification WRT component link. 

Yakov,
At 07:37 AM 3/10/2003 -0800, Yakov Rekhter wrote:
>Anca,
>
> > Yakov,
> > What goes in the IF-ID RSVP_HOP TLVs if upstream and downstream
directions
> > use different numbered component links?
>
>draft-ietf-mpls-bundle-04.txt does *not* support this.

It looks like draft-ietf-mpls-bundle-04.txt does not support different 
links (numbered or unnumbered) for the upstream and downstream directions.
On the other hand, RFC3471 seems to allow different unnumbered links for 
the upstream and downstream LSP directions, but no equivalent support for 
the numbered case, so it looks like a small inconsistency. Any reasons for 
this?

Thanks,
Anca

>Yakov.
>
> > Thanks,
> > Anca
> >
> > At 06:58 AM 3/10/2003 -0800, Yakov Rekhter wrote:
> > >Sameer,
> > >
> > > >
> > > > Reposting, as I did not get any response.  Could
> > > > someone please answer the question.
> > >
> > >from  draft-ietf-mpls-bundle-04.txt:
> > >
> > >    If the component link is numbered, the IF_ID RSVP_HOP object, or
> > >    IF_ID TLV carries either Type 1 (IPv4 address) or Type 2 (IPv6
> > >    address) TLVs (see [GMPLS-SIG]). The address carried in the TLV
> > >    identifies the link for which label allocation must be done.
> > >
> > >    If the component link is unnumbered, the IF_ID RSVP_HOP object, or
> > >    IF_ID TLV carries Type 3 (IF_INDEX) TLV (see [GMPLS-SIG]). The
> > >    value carried in Type 3 TLV contains the identifier of the selected
> > >    component link assigned to the link by the sender of the
Path/REQUEST
> > >    message. Processing this object is the same as specified in Section
> > >    "Processing the IF_ID RSVP_HOP object"/"Processing the IF_ID TLV"
> > >    of [RSVP-UNNUM]/[CRLDP-UNNUM].
> > >
> > >Yakov.
> > >
> > > >
> > > > Thanks
> > > > - Sameer
> > > >
> > > > --- Sameer K <[email-masked]> wrote:
> > > > > Hello All,
> > > > >
> > > > > From the RFC 3471 - GMPLS Signaling Functional
> > > > > Description, Section 9.1.1, it appears that there is
> > > > > no way for upstream node, to specify component links
> > > > > that are numbered, in the IF-ID HOP object.
> > > > >
> > > > > The TLV format for IF-ID Types 4 and 5 assumes that
> > > > > the component link is always un-numbered.
> > > > >
> > > > > Is this the way it was planned to be?.  If yes, then
> > > > > what should IF-ID look like for numbered component
> > > > > link (which is a valid scenario per the Link
> > > > > Bundling
> > > > > draft).
> > > > >
> > > > > Or did I get it all wrong?
> > > > > TIA
> > > > > - Sameer
> > > > >
> > > > >
> > > > > __________________________________________________
> > > > > Do you Yahoo!?
> > > > > Yahoo! Tax Center - forms, calculators, tips, more
> > > > > http://taxes.yahoo.com/
> > > > >
> > > >
> > > >
> > > > __________________________________________________
> > > > Do you Yahoo!?
> > > > Yahoo! Tax Center - forms, calculators, tips, more
> > > > http://taxes.yahoo.com/
> > > >
> >
> > --------------------------------------------
> > Anca Zamfir                                Public Carrier IP
> > Cisco Systems, Inc.                    email: [email-masked]
> > 2000 Innovation Dr., Kanata          tel#: (613) 254-3484
> > Ontario, CANADA  K2K 3E8         fax:  (613) 254-3717
> >
> >
> >

--------------------------------------------
Anca Zamfir                                Public Carrier IP
Cisco Systems, Inc.                    email: [email-masked]
2000 Innovation Dr., Kanata          tel#: (613) 254-3484
Ontario, CANADA  K2K 3E8         fax:  (613) 254-3717